高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviCameraInfo Class Reference

电子眼信息类 Electronic eye information category More...

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviCameraInfo:

## Properties
AMapNaviCameraType | cameraType
| 电子眼类型 Electronic eye type
NSInteger | cameraSpeed
AMapNaviPoint * | coordinate
| 电子眼经纬度 Electronic eye latitude and longitude
NSInteger | distance
AMapNaviIntervalCameraDynamicInfo * | intervalCameraDynamicInfo

## Detailed Description

电子眼信息类 Electronic eye information category

## Property Documentation

## ◆ cameraSpeed

- (NSInteger) cameraSpeed
| read write nonatomic assign

电子眼限速，0表示没有限速, 实际速度表示道路的限速值，单位km/h. 注意:-2表示没有采集到限速数据，-1表示该车道禁行 且只有在cameraType 为AMapNaviCameraTypeIntervalVelocityStart 和AMapNaviCameraTypeIntervalVelocityEnd 的时候生效. The speed limit of the electronic eye, 0 indicates no speed limit, the actual speed indicates the speed limit of the road, unit km/h. Note: -2 indicates that no speed limit data was collected, -1 indicates that the lane is prohibited and only takes effect when cameraType is AMapNaviCameraTypeIntervalVelocityStart and AMapNaviCameraTypeIntervalVelocityEnd.

## ◆ cameraType

- (AMapNaviCameraType) cameraType
| read write nonatomic assign

电子眼类型 Electronic eye type

## ◆ coordinate

- (AMapNaviPoint*) coordinate
| read write nonatomic strong

电子眼经纬度 Electronic eye latitude and longitude

## ◆ distance

- (NSInteger) distance
| read write nonatomic assign

到电子眼的距离，-1表示没有剩余距离信息。 Distance to the electronic eye, -1 indicates no remaining distance information

## ◆ intervalCameraDynamicInfo

- (AMapNaviIntervalCameraDynamicInfo*) intervalCameraDynamicInfo
| read write nonatomic strong

区间测速电子眼的动态信息. 注意：只有在导航的过程中且 cameraType 为 AMapNaviCameraTypeIntervalVelocityEnd 的时候才有. since 6.0.0 Dynamic information of interval speed measurement cameras. Note: Only available during navigation when cameraType is AMapNaviCameraTypeIntervalVelocityEnd

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。